﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RestSharp;
using EA;

namespace CollabPrototype
{
    public partial class FormLogin : Form
    {
        public FormLogin()
        {
            InitializeComponent();
        }

        private void buttonLogin_Click(object sender, EventArgs e)
        {
            string userName = textBoxUserName.Text;
            if (userName.Length > 1)
            {
                var client = new RestClient("http://uml3d.herokuapp.com");
                var request = new RestRequest("auth/login", RestSharp.Method.POST);
                request.RequestFormat = DataFormat.Json;
                request.AddBody(new { id = "EA-"+Globals.InstanceGUID, username = userName });
                IRestResponse response = client.Execute(request);
                if (response.ResponseStatus == ResponseStatus.Completed)
                {
                    
                    if (response.StatusCode == System.Net.HttpStatusCode.OK)
                    {
                        string content = response.Content;
                        MessageBox.Show("You are online");
                        this.Dispose();



                        EA.Project eaProject = Globals.Repository.GetProjectInterface();
                        //eaProject.ExportPackageXMI(Guid, XMIType:EnumXMIType.xmiEADefault, 1, -1, 0 , 1 , "export.xmi");
                    } else {
                        MessageBox.Show("There was a problem connecting to the server:" + " ResponseStatus = " + response.ResponseStatus + "ResponseCode = " + response.StatusCode);
                    }
                    
                    
                }
                else {
                    MessageBox.Show("Sorry there was a problem connecting to the server: ResponseStatus = " + response.ResponseStatus);
                }


               
            }
            else
            {
                MessageBox.Show("Please enter a your name");
            }
            
        }
    }
}
